%define name	flamerobin
%define version	0.9.3
%define checkout 20130924snap
%define release	%mkrel -c %{checkout} 2

Summary:	Graphical client for Firebird
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD-like
Group:		Databases
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  git archive --format=tar \
#   --remote=git://git.code.sf.net/p/flamerobin/flamerobin-git \
#   118620002b20d46b1e852cf690468f4bd59b6d4e | gzip -9 > flamerobin-0.9.3-20130924snap.tar.gz
Source0:	%{name}-%{version}-%{checkout}.tar.gz
URL:		http://www.flamerobin.org/
BuildRequires:	firebird-devel >= 2.0.0.12748
BuildRequires:	wxgtku-devel >= 2.6
BuildRequires:	imagemagick
BuildRequires:	sed
BuildRequires:	boost-devel

%description
FlameRobin is a database administration tool for Firebird DBMS based on wxgtk
toolkit.

%prep
%setup -q -c -n %{name}

%build
chmod +x configure
%configure2_5x \
	--with-wx-config=wx-config \
	--disable-debug \
	--mandir=%{buildroot}%{_mandir}/
%make

%install
rm -rf %{buildroot}
%makeinstall

sed	"s@Categories=Development;Database;GTK@Categories=Development;Database;Application;@"	-i	%{buildroot}/%{_datadir}/applications/%{name}.desktop
echo Encoding=UTF-8 >> %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -d %{buildroot}{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
convert -size 16x16 ./res/fricon128.png %{buildroot}%{_miconsdir}/%{name}.png
convert -size 32x32 ./res/fricon128.png %{buildroot}%{_iconsdir}/%{name}.png
convert -size 48x48 ./res/fricon128.png %{buildroot}%{_liconsdir}/%{name}.png


%files
%doc docs/*
%{_mandir}/man1/flamerobin.1*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png




%changelog
* Sun Oct 20 2013 umeabot <umeabot> 0.9.3-0.20130924snap.2.mga4
+ Revision: 536773
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 philippem <philippem> 0.9.3-0.20130924snap.1.mga4
+ Revision: 485528
- Update to latest snapshot
- update to latest git snapshot (677a1b) to fix boost build problem

* Thu Aug 08 2013 philippem <philippem> 0.9.3-0.20130401snap.2.mga4
+ Revision: 464735
- Prune unnecessary content from tarball

* Wed Jul 10 2013 philippem <philippem> 0.9.3-0.20130401snap.1.mga4
+ Revision: 452596
- Fix fail build
- Update to 0.9.3

* Fri Jan 11 2013 umeabot <umeabot> 0.9.2-4.mga3
+ Revision: 350474
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 philippem <philippem> 0.9.2-3.mga3
+ Revision: 329795
+ rebuild (emptylog)

* Sat Jul 23 2011 ahmad <ahmad> 0.9.2-2.mga2
+ Revision: 128086
- Rebuild against wxgtk2.8 with enabled catch_segvs
- Use %%configure2_5x

* Mon Jan 10 2011 philippem <philippem> 0.9.2-1.mga1
+ Revision: 5309
- imported package flamerobin


* Thu Dec 09 2010 oden <oden> 0.9.2-1mdv2011.0
+ Revision: 618290
- the mass rebuild of 2010.0 packages

  + makowski <makowski>
    - remove old upstream src

* Sun Jul 26 2009 makowski <makowski> 0.9.2-0mdv2010.0
+ Revision: 400208
- New upstream

  + oden <oden>
    - lowercase ImageMagick

* Thu Jul 24 2008 tv <tv> 0.8.3-3mdv2009.0
+ Revision: 245195
- rebuild

* Thu Jan 31 2008 mrl <mrl> 0.8.3-1mdv2008.1
+ Revision: 160873
- New upstream: 0.8.3

  + blino <blino>
    - restore BuildRoot

  + tv <tv>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 18 2007 mrl <mrl> 0.8.1-1mdv2008.1
+ Revision: 99959
- Fix configure permission.
- New upstream: 0.8.1
- New upstream: 0.8.0

* Tue May 15 2007 mrl <mrl> 0.7.6-3mdv2008.0
+ Revision: 26964
- Rebuilt against new wx stuff.


* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 0.7.6-2mdv2007.0
+ Revision: 100700
- rebuild

* Mon Nov 27 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.7.6-1mdv2007.1
+ Revision: 87367
- New upstream: 0.7.6
- Added menu icon.

* Thu Nov 16 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.7.5-5mdv2007.1
+ Revision: 84903
- Added BuildRequires for ImageMagick: due to convert usage.
- Rebuilt against firebird 2.0 final.

* Thu Sep 07 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.7.5-4mdv2007.0
+ Revision: 60258
- New upstream: 0.7.5

* Wed Sep 06 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.7.2-4mdv2007.0
+ Revision: 59989
- Removed old-style menu entry. The new one (.desktop) will be added later.
- Import flamerobin

* Sat Sep 02 2006 Marcelo Ricardo Leitner <mrl@mandriva.com>
- Fixed BuildRequires.
- Removed hardcoded buildrequires to libraries: they should be automatic.
- Enhanced package description.

* Thu Aug 24 2006 Philippe Makowski <makowski@firebird-fr.eu.org> 
- change Requires to libfirebird2

* Thu Aug 17 2006 Philippe Makowski <makowski@firebird-fr.eu.org> 
- initial release

